Dallas Semiconductor 1-Wire API 1.00 Alpha: Interface TaggedActuator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Interface TaggedActuator

All Known Implementing Classes:
  Switch, D2A

public interface TaggedActuator

Method Summary
`Vector` | `getSelections()` Get the possible selection states of this actuator
`void` | `initActuator()` Initialize the actuator
`void` | `setSelection(String selection)` Set the selectionof this actuator

Method Detail

### getSelections

    public Vector getSelections()

  Get the possible selection states of this actuator
  Returns:
    result of sensor reading

### setSelection

    public void setSelection(String selection)
                      throws OneWireIOException,
                             OneWireException

  Set the selectionof this actuator
  Throws:
    `OneWireIOException` - on a 1-Wire communication error such as reading an incorrect CRC from a 1-Wire device. This could be caused by a physical interruption in the 1-Wire Network due to shorts or a newly arriving 1-Wire device issuing a 'presence pulse'.
    `OneWireException` - on a communication or setup error with the 1-Wire adapter

### initActuator

    public void initActuator()
                      throws OneWireIOException,
                             OneWireException

  Initialize the actuator
  Throws:
    `OneWireIOException` - on a 1-Wire communication error such as reading an incorrect CRC from a 1-Wire device. This could be caused by a physical interruption in the 1-Wire Network due to shorts or a newly arriving 1-Wire device issuing a 'presence pulse'.
    `OneWireException` - on a communication or setup error with the 1-Wire adapter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD